package cache

import "krakatoa.net/backend/modules/structs"

var WebClients = make(map[string]*structs.WebClient)
var MinecraftClients = make(map[string]*structs.MinecraftClient)

var WebVoiceMessagesSendQueue = make(map[int]*structs.WebClientSendQueueMessage)
var WebMobileMessagesSendQueue = make(map[int]*structs.WebClientSendQueueMessage)

func IsInWebMessagesSendQueue(queue map[int]*structs.WebClientSendQueueMessage, cmdID int) bool {
	for CmdID, _ := range queue {
		if CmdID == cmdID {
			return true
		}
	}
	return false
}
