package serverCommunication

import (
	"fmt"
	"time"

	"krakatoa.net/backend/modules/cache"
	"krakatoa.net/backend/modules/logger"
)

/*
func getClientByDest(dest int, uuid string) (*structs.WebClient, *structs.MinecraftClient) {
	switch dest {
	case kraProtocol.DestVoice:
		return GetWebClientByUuid(uuid), nil
	case kraProtocol.DestMobile:
		return GetWebClientByUuid(uuid), nil
	case kraProtocol.DestProxy:
		return nil, GetMinecraftClientByName("proxy-1")
	case kraProtocol.DestPlayersCurrentServer:
		return nil, GetMinecraftClientByName("lobby-1")
	default:
		logger.Web.Println("conn for dest is nil")
		return nil, nil
	}
}
*/

func AckHandler() {
	ticker := time.NewTicker(20 * time.Millisecond)

	for _ = range ticker.C {
		fmt.Println("")

		for cmdID, object := range cache.WebVoiceMessagesSendQueue {
			logger.Web.Println("ackHandler", cmdID, object)
		}
	}
}
